<div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Reporting Issue
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body">
      <form [formGroup]="issueForm" (ngSubmit)="onSubmit()">
        
        <div class="form-group">
          <label for="assetType">Asset<sup class="req">*</sup></label>
          <select
            formControlName="assetType"
            class="form-control"
            (change)="selectedOption($event.target.value)">
            <option value="-1">- Click to Select Asset Type -</option>
            <option *ngFor="let u of assetTypes">{{ u }}</option> 
          </select>
             <div *ngIf="issueForm.get('assetType').invalid && issueForm.get('assetType').touched"
              class="alert alert-danger">

              <div *ngIf="issueForm.get('assetType').errors.min">
                Please select Asset Type.
              </div>
            </div>
        </div>

        <div class="form-group">
          <label for="assetId">Asset Name<sup class="req">*</sup></label>
          <select
             formControlName="assetId"
             class="form-control">
             <option value="-1">- Click to Select Asset -</option>
             <ng-container *ngIf="assetNames.length > 0">
               <option *ngFor="let asset of assetNames">{{ asset.batteryPackId }}</option> 
             </ng-container>
          </select>
              <div *ngIf="issueForm.get('assetId').invalid && issueForm.get('assetId').touched"
              class="alert alert-danger">

              <div *ngIf="issueForm.get('assetId').errors.min">
                Asset Name is required.
              </div>
            </div>
        </div>

        <div class="form-group">
          <label for="issueType">Issue Type<sup class="req">*</sup></label>
          <select
             formControlName="issueType"
             class="form-control">
             <option value="-1">- Click to Select Issue -</option>
             <option *ngFor="let i of issueTypes">{{ i }}</option> 
          </select>
              <div *ngIf="issueForm.get('issueType').invalid && issueForm.get('issueType').touched"
              class="alert alert-danger">

              <div *ngIf="issueForm.get('issueType').errors.min">
                Asset Name is required.
              </div>
            </div>
        </div>

        <div class="form-group">
          <label for="description">Description</label>
          <textarea 
            class="form-control"
            formControlName="description"
            rows="5"
            placeholder="Enter Description">
            
          </textarea>
        </div>
        
        <span 
              *ngIf="!issueForm.valid && issueForm.touched"
              class="help-block">Please fill all the required fields</span><br>
              <br *ngIf="!issueForm.valid && issueForm.touched">
        <button 
           class="btn btn-primary"
           type="submit"
           [disabled]="issueForm.invalid">Submit</button><br><br><br>
      </form>
    </div>
  </div>
</div>
